POST api/lockapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "9020b2d0-53ba-41d1-9572-811bd111eeca",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8bd867eb-3522-4aee-a8da-96198d3521cb",
"guard_id": "21c31675-830e-4696-ae4f-0abbdcb710d3",
"active": true
}
application/xml, text/xml
Sample:
<lock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <direction>sample string 3</direction> <distribution_id>8bd867eb-3522-4aee-a8da-96198d3521cb</distribution_id> <guard_id>21c31675-830e-4696-ae4f-0abbdcb710d3</guard_id> <id>9020b2d0-53ba-41d1-9572-811bd111eeca</id> <name>sample string 2</name> </lock>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ea25a79e-4401-4edc-83be-3b9f0c5ff3f2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ea25a79e-4401-4edc-83be-3b9f0c5ff3f2</guid>